#
# spec file for package gap-laguna
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-laguna
Version:        3.9.6
Release:        1.2
Summary:        GAP: Lie AlGebras and UNits of group Algebras
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/laguna/
#Git-Clone:     https://github.com/gap-packages/laguna
Source:         https://github.com/gap-packages/laguna/releases/download/v%version/laguna-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.9
Requires:       gap-gapdoc >= 1.6.1
Suggests:       gap-sophus >= 1.24

%description
LAGUNA extends GAP functionality for computations in group rings.
Besides computing some general properties and attributes of group
rings and their elements, LAGUNA is able to perform two main kinds of
computations. Namely, it can verify whether a group algebra of a
finite group satisfies certain Lie properties; and it can calculate
the structure of the normalized unit group of a group algebra of a
finite p-group over the field of p elements.

%prep
%autosetup -n laguna-%version

%build

%install
rm -Rf scripts
%gappkg_simple_install

%files -f %name.files

%changelog
* Sun Jun 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 3.9.6
  * Janitorial changes only
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 3.9.5
  * Fix a bug in `Inverse` for non-normalized units.
  * Turn `IsGroupOfUnitsOfMagmaRing`, `IsUnitGroupOfGroupRing`
    and `IsNormalizedUnitGroupOfGroupRing` properties into
    categories.
  * Turn `IsSymmetric`, `IsUnitary` into properties.
  * Implement computation of MIP-related invariants of p-groups
    and their modular group algebras.
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 3.9.0
  * Fix the ordering of weighted basis elements: Now, after
    sorting elements of the weighted basis by their weights,
    elements of the same weight will be sorted (w.r.t. `<`).
    This will ensure that their order does not rely on the
    treatment of elements of the same weight by the sorting
    algorithm.
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 3.8.0
  * Fixed a bug in PcPresentationOfNormalizedUnit that may cause
    NaturalBijectionToPcNormalizedUnitGroup returning wrong
    results for p>2
* Sat Sep  9 2017 jengelh@inai.de
- Update to new upstrem release 3.7.0
  * Fixed a bug in Augmentation returning an integer zero for
    zero element of a group ring, being calculated as the sum
    over an empty list. Now it will properly return the zero
    element of the underlying ring
  * Fixed a bug in PcPresentationOfNormalizedUnit that may cause
    NaturalBijectionToPcNormalizedUnitGroup returning wrong
    results for p>2.
* Thu Feb  6 2014 jengelh@inai.de
- Update to new upstream release 3.6.4
  * Fixed a bug that might lead to a break loop in AugmentationIdeal
  * Updated the test example for GAP 4.7 release replacing
  WreathProduct by StandardWreathProduct
* Fri May 10 2013 jengelh@inai.de
- Split laguna (version 3.6.3) off the gap RPM package
